Altibase.jdbc.driver

## Class AltibasePooledConnection

- java.lang.Object
- - Altibase.jdbc.driver.AltibasePooledConnection

All Implemented Interfaces:
  javax.sql.PooledConnection

Direct Known Subclasses:
  AltibaseXAConnection

    public class AltibasePooledConnection
    extends java.lang.Object
    implements javax.sql.PooledConnection

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConnectionEventListener(javax.sql.ConnectionEventListener aListener)`
`void` `addStatementEventListener(javax.sql.StatementEventListener aListener)`
`void` `close()`
`protected java.sql.Connection` `createLogicalConnection(java.sql.Connection aPhysicalConnection, AltibasePooledConnection aParent)`
`java.sql.Connection` `getConnection()`
`void` `removeConnectionEventListener(javax.sql.ConnectionEventListener aListener)`
`void` `removeStatementEventListener(javax.sql.StatementEventListener aListener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createLogicalConnection

    protected java.sql.Connection createLogicalConnection(java.sql.Connection aPhysicalConnection,
                                                          AltibasePooledConnection aParent)

#### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

Specified by:
  `getConnection` in interface `javax.sql.PooledConnection`
Throws:
  `java.sql.SQLException`

#### close

    public void close()
               throws java.sql.SQLException

Specified by:
  `close` in interface `javax.sql.PooledConnection`
Throws:
  `java.sql.SQLException`

#### addConnectionEventListener

    public void addConnectionEventListener(javax.sql.ConnectionEventListener aListener)

Specified by:
  `addConnectionEventListener` in interface `javax.sql.PooledConnection`

#### removeConnectionEventListener

    public void removeConnectionEventListener(javax.sql.ConnectionEventListener aListener)

Specified by:
  `removeConnectionEventListener` in interface `javax.sql.PooledConnection`

#### addStatementEventListener

    public void addStatementEventListener(javax.sql.StatementEventListener aListener)

Specified by:
  `addStatementEventListener` in interface `javax.sql.PooledConnection`

#### removeStatementEventListener

    public void removeStatementEventListener(javax.sql.StatementEventListener aListener)

Specified by:
  `removeStatementEventListener` in interface `javax.sql.PooledConnection`